VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces | Enumerations | Variables
hostcheckercontroller.h File Reference
`#include "eventlogdatabrowsersource.h"`
`#include "hostcheck.h"`
`#include "logevents.h"`
`#include "vstgui/lib/cvstguitimer.h"`
`#include "vstgui/plugin-bindings/vst3editor.h"`
`#include "public.sdk/source/common/threadchecker.h"`
`#include "public.sdk/source/vst/utility/dataexchange.h"`
`#include "public.sdk/source/vst/vstaudioeffect.h"`
`#include "public.sdk/source/vst/vsteditcontroller.h"`
`#include "base/source/fstring.h"`
`#include "pluginterfaces/vst/ivstautomationstate.h"`
`#include "pluginterfaces/vst/ivstchannelcontextinfo.h"`
`#include "pluginterfaces/vst/ivstmidilearn.h"`
`#include "pluginterfaces/vst/ivstnoteexpression.h"`
`#include "pluginterfaces/vst/ivstparameterfunctionname.h"`
`#include "pluginterfaces/vst/ivstphysicalui.h"`
`#include "pluginterfaces/vst/ivstprefetchablesupport.h"`
`#include "pluginterfaces/vst/ivstrepresentation.h"`

## Classes
class | HostCheckerController
struct | HostCheckerController::ScoreEntry

## Namespaces
namespace | Steinberg
namespace | Steinberg::HostChecker
namespace | Steinberg::Vst

## Enumerations
enum | { kProcessingLoadTag = 1000, kGeneratePeaksTag, kLatencyTag, kBypassTag, kCanResizeTag, kScoreTag, kParamWhichCouldBeHiddenTag, kTriggerHiddenTag, kTriggerProgressTag, kProgressValueTag, kCopy2ClipboardTag, kRestartNoteExpressionChangedTag, kRestartKeyswitchChangedTag, kRestartParamValuesChangedTag, kRestartParamTitlesChangedTag, kProcessContextProjectTimeSamplesTag, kProcessContextProjectTimeMusicTag, kProcessContextTempoTag, kProcessContextStateTag, kProcessContextSystemTimeTag, kProcessContextContinousTimeSamplesTag, kProcessContextTimeSigNumeratorTag, kProcessContextTimeSigDenominatorTag, kProcessContextBarPositionMusicTag, kProcessWarnTag, kLastTag = kProcessWarnTag + HostChecker::kParamWarnCount, kParamUnitStructStart, kParamUnitStructEnd = kParamUnitStructStart + HostChecker::kParamUnitStructCount, kUnitId = 1234, kUnit2Id = 1235, kUnitParamIdStart = 2345 }

## Variables
const int32 | kMaxLatency = 8192
const uint32 | kParamWarnCount = 8
const uint32 | kParamWarnBitCount = 24
const uint32 | kParamWarnStepCount = 1 << kParamWarnBitCount
const uint32 | kParamUnitStruct1Count = 4
const uint32 | kParamUnitStruct2Count = 4
const uint32 | kParamUnitStruct3Count = 2
const uint32 | kParamUnitStructCount

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.